Package ru.bitel.bgbilling.apps.inet.access.sa

# Class ServiceActivatorSet

java.lang.Object
java.util.concurrent.locks.ReentrantLock
ru.bitel.bgbilling.apps.inet.access.sa.ServiceActivatorSet

All Implemented Interfaces:
  `Serializable`, `Lock`

public class ServiceActivatorSet extends ReentrantLock
Обертка вокруг набора ServiceActivator.
Метода init нет, так как туда передаются разные аргументы для каждого ServiceActivator.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ServiceActivatorSet.ServiceActivatorHolder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceActivatorSet(ServiceActivatorSet.ServiceActivatorHolder[] serviceActivators)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `connect()`
  `boolean`
  `connectionClose(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event)`
  `boolean`
  `connectionModify(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event)`
  `void`
  `destroy()`
  `void`
  `disconnect()`
  `boolean`
  `isAlive()`
  `boolean`
  `onAccountingStart(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event)`
  `boolean`
  `onAccountingStop(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event)`
  `boolean`
  `serviceCancel(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event)`
  `boolean`
  `serviceCreate(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event)`
  `boolean`
  `serviceModify(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event)`

  ### Methods inherited from class java.util.concurrent.locks.ReentrantLock

  `getHoldCount, getOwner, getQueuedThreads, getQueueLength, getWaitingThreads, getWaitQueueLength, hasQueuedThread, hasQueuedThreads, hasWaiters, isFair, isHeldByCurrentThread, isLocked, lock, lockInterruptibly, newCondition, toString, tryLock, tryLock, unlock`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceActivatorSet

    public ServiceActivatorSet(ServiceActivatorSet.ServiceActivatorHolder[] serviceActivators)

- ## Method Details

  - ### isAlive

    public boolean isAlive()

  - ### destroy

    public void destroy()

  - ### connect

    public Object connect() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### disconnect

    public void disconnect() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### connectionClose

    public boolean connectionClose(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event) throws Exception
    Throws:
      `Exception`

  - ### connectionModify

    public boolean connectionModify(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event) throws Exception
    Throws:
      `Exception`

  - ### onAccountingStart

    public boolean onAccountingStart(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event) throws Exception
    Throws:
      `Exception`

  - ### onAccountingStop

    public boolean onAccountingStop(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event) throws Exception
    Throws:
      `Exception`

  - ### serviceCancel

    public boolean serviceCancel(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event) throws Exception
    Throws:
      `Exception`

  - ### serviceCreate

    public boolean serviceCreate(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event) throws Exception
    Throws:
      `Exception`

  - ### serviceModify

    public boolean serviceModify(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event) throws Exception
    Throws:
      `Exception`